<?php
session_start();
header("Access-Control-Allow-Origin: *");
require_once("./conexao.php");
$conn = conn();

switch ($_POST['mod_sit_geral']) {
  case '1':
    //Cancelar Solicitação
    $alterarStatus = mysqli_query($conn, "UPDATE processos_iniciados SET situacao = '1' WHERE id = '".trim($_POST['id_solicitacao'])."'");

    $addLine = mysqli_query($conn, "INSERT INTO processos_gerenciamento(id_processo_iniciado ,id_user,id_processo) VALUES ('".trim($_POST['id_solicitacao'])."','".$_SESSION['id_user']."','10')");

    $addObs = mysqli_query($conn, "INSERT INTO processos_obs(id_processo_iniciado ,id_user,obs_descricao) VALUES ('".trim($_POST['id_solicitacao'])."','".$_SESSION['id_user']."','".trim($_POST['text_obs'])."')");

    $var = $alterarStatus && $addLine && $addObs;
  break;
  case '2':
    //Retirar Peça do Depósito
    $getLastAtividade = mysqli_fetch_array(mysqli_query($conn, "SELECT id_processo FROM processos_gerenciamento WHERE id_processo_iniciado = '". $_POST['id_solicitacao'] ."' ORDER BY id DESC"));
    
    $insertAtividade = mysqli_query($conn, "INSERT INTO processos_atividade(processo_id,user_id,momento) VALUES ('". $_POST['id_solicitacao'] ."','".$_SESSION['id_user']."','". $getLastAtividade['id_processo'] ."')");
    
    $addLine = mysqli_query($conn, "INSERT INTO processos_gerenciamento(id_processo_iniciado ,id_user,id_processo) VALUES ('".trim($_POST['id_solicitacao'])."','".$_SESSION['id_user']."','2')");

    $var = $getLastAtividade && $insertAtividade && $addLine;
  break;
  case '3':
    //Receber Peça na Boqueta
    $addLine = mysqli_query($conn, "INSERT INTO processos_gerenciamento(id_processo_iniciado ,id_user,id_processo) VALUES ('".trim($_POST['id_solicitacao'])."','".$_SESSION['id_user']."','3')");

    $limparAtividades = mysqli_query($conn, "UPDATE processos_atividade SET status = '1' WHERE processo_id = '". trim($_POST['id_solicitacao']) ."'");

    $var = $addLine && $limparAtividades;
  break;
  case '4':
    //Retirar Peça da Boqueta Pelo Vendedor
    $addLine = mysqli_query($conn, "INSERT INTO processos_gerenciamento(id_processo_iniciado ,id_user,id_processo) VALUES ('".trim($_POST['id_solicitacao'])."','".$_SESSION['id_user']."','4')");

    $var = $addLine;
  break;
  case '5':
    //Receber Peça na Boqueta para Venda
    $addLine = mysqli_query($conn, "INSERT INTO processos_gerenciamento(id_processo_iniciado ,id_user,id_processo) VALUES ('".trim($_POST['id_solicitacao'])."','".$_SESSION['id_user']."','5')");

    $var = $addLine;
  break;
  case '6':
    //Receber Peça na Boqueta para Guardar
    $addLine = mysqli_query($conn, "INSERT INTO processos_gerenciamento(id_processo_iniciado ,id_user,id_processo) VALUES ('".trim($_POST['id_solicitacao'])."','".$_SESSION['id_user']."','6')");

    $var = $addLine;
  break;
  case '7':
    //Retirar peça da Boqueta para venda
    $alterarStatus = mysqli_query($conn, "UPDATE processos_iniciados SET situacao = '1' WHERE id = '".trim($_POST['id_solicitacao'])."'");
    $addLine = mysqli_query($conn, "INSERT INTO processos_gerenciamento(id_processo_iniciado ,id_user,id_processo) VALUES ('".trim($_POST['id_solicitacao'])."','".$_SESSION['id_user']."','7')");

    $var = $addLine && $alterarStatus;
  break;
  case '8':
    //Retirar peça da Boqueta para guardar
    $getLastAtividade = mysqli_fetch_array(mysqli_query($conn, "SELECT id_processo FROM processos_gerenciamento WHERE id_processo_iniciado = '". $_POST['id_solicitacao'] ."' ORDER BY id DESC"));
    
    $insertAtividade = mysqli_query($conn, "INSERT INTO processos_atividade(processo_id,user_id,momento) VALUES ('". $_POST['id_solicitacao'] ."','". $_SESSION['id_user'] ."','". $getLastAtividade['id_processo'] ."')");
    
    $addLine = mysqli_query($conn, "INSERT INTO processos_gerenciamento(id_processo_iniciado ,id_user,id_processo) VALUES ('".trim($_POST['id_solicitacao'])."','".$_SESSION['id_user']."','8')");

    $var = $getLastAtividade && $insertAtividade && $addLine;
  break;
  case '9':
    //Receber peça no Depósito
    $alterarStatus = mysqli_query($conn, "UPDATE processos_iniciados SET situacao = '1' WHERE id = '".trim($_POST['id_solicitacao'])."'");
    
    $addLine = mysqli_query($conn, "INSERT INTO processos_gerenciamento(id_processo_iniciado ,id_user,id_processo) 
      VALUES('".trim($_POST['id_solicitacao'])."','".$_SESSION['id_user']."','9')");
    
    $limparAtividades = mysqli_query($conn, "UPDATE processos_atividade SET status = '1' WHERE processo_id = '". trim($_POST['id_solicitacao']) ."'");

    $var = $alterarStatus && $addLine && $limparAtividades;
  break;  
  default:
    $var = false;
  break;
}

echo json_encode($var); 